package api

import (
	"sku3dweb/db/model"
	"sku3dweb/db/repo"
	"time"

	"github.com/gin-gonic/gin"
	"go.mongodb.org/mongo-driver/bson"
)

//用户设置用户登陆后确保用户的
func CreateUserSettingRouter(router *GinRouter) {

	router.POST("/admin/user/mallstate/:id", func(c *gin.Context, apictx *ApiSession) (interface{}, error) {
		id := c.Param("id")
		body := &struct {
			Enable bool
		}{}
		err := c.ShouldBindJSON(body)
		if err != nil {
			return nil, err
		}
		userId := id
		optSet := repo.Map{}
		optSet["enableMall"] = body.Enable
		optSet["updateTime"] = time.Now()
		return repo.RepoUpdateSetDocProps(apictx.CreateRepoCtx(), repo.CollectionUserSetting, userId, bson.M{"$set": optSet})
	})

	router.GETJWT("/user/setting", func(c *gin.Context, apictx *ApiSession) (interface{}, error) {
		user := &model.UserSetting{}
		_, err := repo.RepoSeachDoc(apictx.CreateRepoCtx(), &repo.DocSearchOptions{
			Query:       repo.Map{"_id": apictx.User.ID},
			CollectName: repo.CollectionUserSetting,
		}, user)

		return user, err
	})
}
